#include<bits/stdc++.h>

using namespace std;

int main() {

    int n;
    long long v;
    long long s;

	cin >> n >> v;

    long long brojac = 0;

    for (int i = 1; i < n + 1; i++) {
        cin >> s;
        if (s > v)
            brojac++;
    	else { 
            brojac = i;
            break;

    	}
    }

    if (brojac == n)
        cout << -1;
    else    
        cout << brojac;
}